import { SvgIcon } from '@material-ui/core';
import { GridSpacing } from '@material-ui/core/Grid';
import * as React from 'react';
export interface IAudioPlayerClassNameProps {
    root: string;
    playIcon: any;
    volumeIcon: string;
    muteIcon: string;
    mainSlider: string;
    volumeSlider: string;
    downloadsIcon: string;
    pauseIcon: string;
    loopIcon: string;
    progressTime: string;
    downloadsContainer: string;
    downloadsItemLink: string;
    downloadsItemText: string;
}
export declare const useComponentStyles: (props?: any) => Record<"root" | "icon" | "sliderContainerWrapper" | "sliderContainer" | "slider" | "commonContainer" | "iconSelected" | "rounded", string>;
export declare enum AudioPlayerComponentsOrder {
    standart = "standart",
    reverse = "reverse"
}
export interface IAudioPlayerColors {
    active: string;
    selected: string;
    disabled: string;
    hover: string;
}
export declare const getColors: (theme: any, variation: "default" | "primary" | "secondary") => IAudioPlayerColors;
export declare enum AudioPlayerVariation {
    primary = "primary",
    secondary = "secondary",
    default = "default"
}
declare enum AudioPlayerPreload {
    auto = "auto",
    metadata = "metadata",
    none = "none"
}
export interface Icons {
    [key: string]: typeof SvgIcon;
}
interface IAudioPlayerProps {
    src: string | string[];
    rounded?: boolean;
    elevation?: number;
    useStyles?: any;
    width?: string;
    height?: string;
    download?: boolean;
    variation?: keyof typeof AudioPlayerVariation;
    preload?: AudioPlayerPreload;
    loop?: boolean;
    order?: keyof typeof AudioPlayerComponentsOrder;
    autoplay?: boolean;
    debug?: boolean;
    spacing?: GridSpacing;
    icons?: Icons;
}
declare const AudioPlayer: React.FunctionComponent<IAudioPlayerProps>;
export default AudioPlayer;
